Bug 1152812 - Dynamic library file should be symlink
Summary: Dynamic library file should be symlink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coin-or-Ipopt
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-15 02:27 UTC by Matthew Saltzman
Modified: 2015-02-09 05:31 UTC (History)
3 users (show)

Fixed In Version: coin-or-Ipopt-3.12.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:30:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Saltzman 2014-10-15 02:27:19 UTC
Description of problem:
The coin-or-Ipopt-devel package contains a dynamic library, but the packaging doesn't seem to follow the usual standards.  In particular, 
/lib64/libipopt.so is a symlink to /usr/lib/libipopt.so.1.9.9, but I think it should be a symlink to libipopt.so.1.  Also, /lib64/libipopt.so.1 should be a symlink to libipopt.so.1.9.9, but it is a file unto itself and not even identical to libipopt.so.1.9.9.

Version-Release number of selected component (if applicable):
coin-or-Ipopt-devel-3.11.9-3.fc20.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Install coin-or-Ipopt-devel-3.11.9-3.fc20.x86_64
2. Install another package that runs ldconfig postinstall
3.

Actual results:
Second installation complains that libipopt.so.1 is not a symlink

Expected results:
No complaints.

Additional info:

Comment 1 Rex Dieter 2015-01-23 02:35:19 UTC
Same here, as a result, I'm seeing scriptlet error output too, upgrading to coin-or-Ipopt-3.11.10-1.fc20

/sbin/ldconfig: /lib64/libipopt.so.1 is not a symbolic link

Comment 2 Matthew Saltzman 2015-01-23 02:57:52 UTC
And coin-or-Ipopt-3.11.10-1.fc21.

In this case, libipopt.so is a symlink to libipopt.so.1.9.10 and libipopt.so.1 is not a symlink.  I believe the correct convention is for libipopt.so to symlink to libipopt.so.1 and libipopt.so.1 to symlink to libipopt.so.1.9.10. Making these changes and rerunning ldconfig seems to fix the problem.

Comment 3 Antonio T. (sagitter) 2015-01-23 09:52:27 UTC
There was a problem with tests by making symlinks 
libipopt.so.1 --> libipopt.so.1.9.9
libipopt.so --> libipopt.so.1.9.9

I try to fix in this way

libipopt.so --> libipopt.so.1 --> libipopt.so.1.9.9

Comment 4 Fedora Update System 2015-01-23 14:15:03 UTC
coin-or-Ipopt-3.11.10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.11.10-2.fc20

Comment 5 Fedora Update System 2015-01-23 14:15:15 UTC
coin-or-Ipopt-3.11.10-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.11.10-2.fc21

Comment 6 Fedora Update System 2015-01-26 02:31:45 UTC
Package coin-or-Ipopt-3.11.10-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coin-or-Ipopt-3.11.10-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1090/coin-or-Ipopt-3.11.10-2.fc21
then log in and leave karma (feedback).

Comment 7 Matthew Saltzman 2015-01-26 10:04:16 UTC
(In reply to Antonio Trande from comment #3)
> There was a problem with tests by making symlinks 
> libipopt.so.1 --> libipopt.so.1.9.9
> libipopt.so --> libipopt.so.1.9.9
> 
> I try to fix in this way
> 
> libipopt.so --> libipopt.so.1 --> libipopt.so.1.9.9

Just updated with coin-or-Ipopt-3.11.10-2.fc21.x86_64, and it appears that the fix you have is the former, not the latter.

$ ls -l /usr/lib64/libipopt.so*
lrwxrwxrwx. 1 root root      18 Jan 23 08:24 /usr/lib64/libipopt.so -> libipopt.so.1.9.10
lrwxrwxrwx. 1 root root      18 Jan 23 08:24 /usr/lib64/libipopt.so.1 -> libipopt.so.1.9.10
-rwxr-xr-x. 1 root root 2689728 Jan 23 08:25 /usr/lib64/libipopt.so.1.9.10

Was expecting libipopt.so -> libipopt.so.1

The update does suppress the warning, though.

Comment 8 Fedora Update System 2015-01-26 13:10:59 UTC
coin-or-Ipopt-3.11.10-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.11.10-3.fc21

Comment 9 Matthew Saltzman 2015-01-27 03:39:56 UTC
Note that several other coin-or-* projects have the same symlink structure as you had before, with libxxx.so -> libxxx.so.1.2.3.  On the other hand, several non-coin packages use the same convention, so your original fix is probably OK.  Consistency across coin-or-* packages would probably be meritorious, but so would minimizing the number of patches released in a short period.  Maybe go back to that in the next regular update, and apologies for misleading.

Comment 10 Fedora Update System 2015-01-31 12:52:52 UTC
coin-or-Ipopt-3.12.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.12.0-1.fc21

Comment 11 Fedora Update System 2015-01-31 12:53:00 UTC
coin-or-Ipopt-3.12.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Ipopt-3.12.0-1.fc20

Comment 12 Fedora Update System 2015-02-09 05:30:41 UTC
coin-or-Ipopt-3.12.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-02-09 05:31:44 UTC
coin-or-Ipopt-3.12.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.